Bug 1277502 - python3-jenkins-job-builder should provide /usr/bin/jenkins-job-builder-3
python3-jenkins-job-builder should provide /usr/bin/jenkins-job-builder-3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-jenkins-job-builder (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 08:30 EST by Bohuslav "Slavek" Kabrda
Modified: 2017-08-08 08:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:21:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2015-11-03 08:30:43 EST
Currently, python3-jenkins-job-builder only provides /usr/bin/jenkins-jobs-3.4. This is inconvenient, since the name changes when there is new minor Python 3 version in Fedora. At the very least, this package should contain /usr/bin/jenkins-jobs-3.

IMO there is even a better solution to this. There should be 3 subpackages:
jenkins-job-builder
python-jenkins-job-builder
python3-jenkins-job-builder

/usr/bin/jenkins-jobs-3 and /usr/bin/jenkins-jobs-3.4 would live in python3-jenkins-jobs (and they'd have their -2* counterparts in the python-jenkins-jobs package).

/usr/bin/jenkins-jobs would live in jenkins-job-builder and be a symlink to /usr/bin/jenkins-jobs-3.X. jenkins-job-builder package would depend on python3-jenkins-job-builder.

This is how several other packages solve this situation, e.g. dnf, and I think it's a proper solution here as well.

Thanks for considering doing this.
Comment 1 Ken Dreyer 2015-11-03 16:38:10 EST
This sounds like a great thing for the Python SIG to establish in the Python packaging guidelines. Is there any thing like that going on?
Comment 2 Robert Kuska 2015-11-18 06:46:55 EST
I've already opened ticket at fpc to address this:
https://fedorahosted.org/fpc/ticket/558

Meanwhile I suggest to follow dnf as an example for applications with bindings as Slavek described above.
Comment 3 Jan Kurik 2016-02-24 08:54:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:25:57 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:21:10 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.